Bug 36561 - [Qt] Make QWebPage not depend on view() but use the client->ownerWidget() instead
Summary: [Qt] Make QWebPage not depend on view() but use the client->ownerWidget() ins...
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P3 Normal
Assignee: Kenneth Rohde Christiansen
URL:
Keywords: Qt
Depends on:
Blocks: 35784
  Show dependency treegraph
 
Reported: 2010-03-24 15:16 PDT by Kenneth Rohde Christiansen
Modified: 2010-03-26 08:34 PDT (History)
3 users (show)

See Also:


Attachments
Patch (7.27 KB, patch)
2010-03-24 15:16 PDT, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Rohde Christiansen 2010-03-24 15:16:30 PDT
Created attachment 51558 [details]
Patch

Make QWebPage not depend on view() but use the client->ownerWidget() instead. Also, handle the case where there is not page client.
Comment 1 Antonio Gomes 2010-03-24 15:37:49 PDT
style nit:

+    QStyle *style = d->client ? d->client->style() : qApp->style();
Comment 2 Eric Seidel (no email) 2010-03-25 00:47:54 PDT
Comment on attachment 51558 [details]
Patch

OK.
Comment 3 WebKit Commit Bot 2010-03-25 04:23:31 PDT
Comment on attachment 51558 [details]
Patch

Clearing flags on attachment: 51558

Committed r56529: <http://trac.webkit.org/changeset/56529>
Comment 4 WebKit Commit Bot 2010-03-25 04:23:36 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Simon Hausmann 2010-03-26 08:34:24 PDT
Revision r56529 cherry-picked into qtwebkit-2.0 with commit af7794bb8c23783a5a1dd5e5aadab33125fe543b